---
title: SpeechRecognitionEvent.resultIndex
slug: Web/API/SpeechRecognitionEvent/resultIndex
tags:
  - API
  - Experimental
  - Property
  - Reference
  - SpeechRecognitionEvent
  - Web Speech API
  - recognition
  - resultIndex
  - speech
---
<div>{{APIRef("Web Speech API")}}{{SeeCompatTable}}</div>

<p>The <code><strong>resultIndex</strong></code> read-only property of the {{domxref("SpeechRecognitionEvent")}} interface returns the lowest index value result in the {{domxref("SpeechRecognitionResultList")}} "array" that has actually changed.</p>

<p>The {{domxref("SpeechRecognitionResultList")}} object is not an array, but it has a getter that allows it to be accessed by array syntax.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var myResultIndex = event.resultIndex;
</pre>

<h3 id="Value">Value</h3>

<p>A number.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">recognition.onresult = function(event) {
  var color = event.results[0][0].transcript;
  diagnostic.textContent = 'Result received: ' + color + '.';
  bg.style.backgroundColor = color;
  console.log(event.resultIndex); // returns 0 if there is only one result
}</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<tbody>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
		<tr>
			<td>{{SpecName('Web Speech API', '#dom-speechrecognitionevent-resultindex', 'resultIndex')}}</td>
			<td>{{Spec2('Web Speech API')}}</td>
			<td> </td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SpeechRecognitionEvent.resultIndex")}}</p>

<h3 id="Firefox_OS_permissions">Firefox OS permissions</h3>

<p>To use speech recognition in an app, you need to specify the following permissions in your <a href="/en-US/docs/Web/Apps/Build/Manifest">manifest</a>:</p>

<pre class="brush: json">"permissions": {
  "audio-capture" : {
    "description" : "Audio capture"
  },
  "speech-recognition" : {
    "description" : "Speech recognition"
  }
}</pre>

<p>You also need a privileged app, so you need to include this as well:</p>

<pre class="brush: json">  "type": "privileged"</pre>

<h2 id="See_also">See also</h2>

<ul>
	<li><a href="/en-US/docs/Web/API/Web_Speech_API">Web Speech API</a></li>
</ul>
